haskell-hakyll (4.16.2.2-1build2) plucky; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 11:38:59 +0100

haskell-hakyll (4.16.2.2-1build1) plucky; urgency=medium

  * No-change rebuild for GHC ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Nov 2024 15:21:50 +0100

haskell-hakyll (4.16.2.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release
  * Remove inactive uploaders

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 15 Oct 2024 13:13:22 +0300

haskell-hakyll (4.16.2.0-2) unstable; urgency=medium

  * Fix build dependencies (Closes: #1054937)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Dec 2023 09:08:27 +0200

haskell-hakyll (4.16.2.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 30 Oct 2023 23:00:00 -0400

haskell-hakyll (4.15.1.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 21 Sep 2022 22:03:02 -0400

haskell-hakyll (4.13.4.0-2) unstable; urgency=medium

  * Patch for newer dependencies (Closes: #968901)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 23 Aug 2020 16:41:38 +0300

haskell-hakyll (4.13.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 21 Aug 2020 08:36:06 +0300

haskell-hakyll (4.13.3.0-3) unstable; urgency=medium

  * Fix Build-Depends.

 -- Clint Adams <clint@debian.org>  Fri, 05 Jun 2020 08:36:16 -0400

haskell-hakyll (4.13.3.0-2) unstable; urgency=medium

  * Patch for newer file-embed.  closes: #962269.

 -- Clint Adams <clint@debian.org>  Fri, 05 Jun 2020 08:34:28 -0400

haskell-hakyll (4.13.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 12:08:31 -0400

haskell-hakyll (4.13.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 21 Oct 2019 18:38:17 +0300

haskell-hakyll (4.13.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 01 Sep 2019 13:01:23 -0400

haskell-hakyll (4.12.5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 14:11:33 -0400

haskell-hakyll (4.12.3.0-4) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:12 +0300

haskell-hakyll (4.12.3.0-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:31 +0300

haskell-hakyll (4.12.3.0-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:17 +0300

haskell-hakyll (4.12.3.0-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 21:41:25 -0400

haskell-hakyll (4.12.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 29 Apr 2018 18:50:27 -0400

haskell-hakyll (4.12.1.0-2) unstable; urgency=medium

  * Remove spurious HUnit build dependency.

 -- Clint Adams <clint@debian.org>  Thu, 26 Apr 2018 09:51:36 -0400

haskell-hakyll (4.12.1.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:03:29 -0400

haskell-hakyll (4.9.8.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2017 21:05:27 +0200

haskell-hakyll (4.9.7.0-3) unstable; urgency=medium

  * Bump hunit dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2017 12:31:58 +0200

haskell-hakyll (4.9.7.0-2) unstable; urgency=medium

  * Remove double quickcheck2 dependency, fixing dependency failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2017 12:27:10 +0200

haskell-hakyll (4.9.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 20:00:54 -0400

haskell-hakyll (4.9.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bump directory bounds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 09:08:28 +0200

haskell-hakyll (4.9.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add in missing test data.
  * Ship hakyll-init.

 -- Clint Adams <clint@debian.org>  Sat, 10 Dec 2016 21:38:39 -0500

haskell-hakyll (4.9.1.0-2) unstable; urgency=medium

  * Disable external link checking until we have http-conduit 2.2.

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 20:25:20 -0400

haskell-hakyll (4.9.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 19:05:55 -0400

haskell-hakyll (4.8.3.2-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:57 -0400

haskell-hakyll (4.8.3.2-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 20:23:09 -0400

haskell-hakyll (4.8.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 16:39:44 -0400

haskell-hakyll (4.8.3.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:11:11 +0200

haskell-hakyll (4.7.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 01:19:32 -0500

haskell-hakyll (4.7.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 04 Dec 2015 00:08:48 -0500

haskell-hakyll (4.7.2.3-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:31 -0500

haskell-hakyll (4.7.2.3-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:45 +0200

haskell-hakyll (4.6.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:02:14 +0200

haskell-hakyll (4.6.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 19:50:08 +0200

haskell-hakyll (4.6.7.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:06 +0200

haskell-hakyll (4.6.7.1-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 19:09:12 +0200

haskell-hakyll (4.5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 30 Sep 2014 11:55:42 -0300

haskell-hakyll (4.5.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Jun 2014 03:45:18 +0100

haskell-hakyll (4.5.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Apr 2014 12:50:30 +0200

haskell-hakyll (4.4.3.0-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 03 Jan 2014 14:40:23 -0500

haskell-hakyll (4.3.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 16 Sep 2013 23:07:07 -0400

haskell-hakyll (4.3.1.0-1) unstable; urgency=low

  [ Louis Bettens ]
  * /usr/share/hakyll-4.3.0.0 -> /usr/share/hakyll
  * Bump version of Build-Depends: on haskell-devscripts

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 01 Aug 2013 19:47:42 -0400

haskell-hakyll (4.3.0.0-1) unstable; urgency=low

  * New upstream release
  * Patch QuickCheck 2.6 compatibility

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Jun 2013 21:49:50 +0200

haskell-hakyll (4.2.2.0-4) unstable; urgency=low

  * Force LC_ALL=C.UTF-8 when running tests rather than LANG=C.UTF-8, to
    cope with build environments that set LC_ALL=C.

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 May 2013 00:38:27 +0100

haskell-hakyll (4.2.2.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 May 2013 09:20:14 +0200

haskell-hakyll (4.2.2.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:47 +0200

haskell-hakyll (4.2.2.0-1) experimental; urgency=low

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release
  * Enable test suite

  [ Iain Lane ]
  * New upstream release (Closes: #704536)
  * Update build-depends

  [ Colin Watson ]
  * Force LANG=C.UTF-8 when running tests, pending a better approach from
    upstream (see https://github.com/jaspervdj/hakyll/issues/119).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Apr 2013 14:29:02 +0100

haskell-hakyll (3.2.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 18 May 2012 00:23:21 +0200

haskell-hakyll (3.2.7.1-1) unstable; urgency=low

  * New upstream version.
  * Modify Build-Depends version range to fit upstream.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 15 Apr 2012 11:26:59 +0900

haskell-hakyll (3.2.6.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Tue, 06 Mar 2012 14:04:21 -0500

haskell-hakyll (3.2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Install /usr/share/hakyll-3.2.4.0/templates/*.xml
    Need them to build git://github.com/marcmo/blog.coldflake.git

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 08 Jan 2012 00:06:55 +0900

haskell-hakyll (3.2.3.2-2) unstable; urgency=low

  * Support snap server.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Tue, 03 Jan 2012 01:33:41 +0900

haskell-hakyll (3.2.3.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 26 Dec 2011 09:49:39 -0500

haskell-hakyll (3.2.0.9-1) unstable; urgency=low

  * New upstream version.
    - Build-depends on newer hamlet.  closes: #640963.
    - Drop 0001-Use-cryptohash-instead-of-hopenssl.patch (merged upstream).

 -- Clint Adams <clint@debian.org>  Sat, 08 Oct 2011 10:11:12 -0400

haskell-hakyll (3.2.0.5-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Mon, 05 Sep 2011 19:34:33 -0400
